Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface SVGAnimationTargetContext

All Superinterfaces:
  SVGContext

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGGradientElementBridge.SVGStopElementBridge, AbstractSVGLightingElementBridge, AbstractSVGLightingElementBridge.AbstractSVGLightElementBridge, AbstractSVGLightingElementBridge.SVGFeDistantLightElementBridge, AbstractSVGLightingElementBridge.SVGFePointLightElementBridge, AbstractSVGLightingElementBridge.SVGFeSpotLightElementBridge, AnimatableGenericSVGBridge, AnimatableSVGBridge, BatikFlowTextElementBridge, BatikFlowTextElementBridge.BatikFlowContentBridge, BatikHistogramNormalizationElementBridge, BatikRegularPolygonElementBridge, BatikStarElementBridge, BindableElementBridge, SVG12TextElementBridge, SVGAElementBridge, SVGCircleElementBridge, SVGClipPathElementBridge, SVGDecoratedShapeElementBridge, SVGEllipseElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncAElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncBElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncGElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncRElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMergeElementBridge.SVGFeMergeNodeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge, SVGFilterElementBridge, SVGFlowRootElementBridge, SVGFlowRootElementBridge.FlowContentBridge, SVGGElementBridge, SVGImageElementBridge, SVGLinearGradientElementBridge, SVGLineElementBridge, SVGMarkerElementBridge, SVGMaskElementBridge, SVGMultiImageElementBridge, SVGPathElementBridge, SVGPatternElementBridge, SVGPolygonElementBridge, SVGPolylineElementBridge, SVGRadialGradientElementBridge, SVGRectElementBridge, SVGShapeElementBridge, SVGSolidColorElementBridge, SVGSVGElementBridge, SVGSwitchElementBridge, SVGTextElementBridge, SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler, SVGTextElementBridge.AbstractTextChildSVGContext, SVGTextElementBridge.AbstractTextChildTextContent, SVGTextElementBridge.TextPathBridge, SVGTextElementBridge.TRefBridge, SVGTextElementBridge.TspanBridge, SVGTextPathElementBridge, SVGUseElementBridge, XBLContentElementBridge, XBLShadowTreeElementBridge

    public interface SVGAnimationTargetContext

extends SVGContext

Context interface for elements that can be the target of animations. This exposes the ability to attach `AnimationTargetListener`s to the element.

Field Summary

Fields inherited from interface org.apache.batik.dom.svg.SVGContext
`PERCENTAGE_FONT_SIZE, PERCENTAGE_VIEWPORT_HEIGHT, PERCENTAGE_VIEWPORT_SIZE, PERCENTAGE_VIEWPORT_WIDTH`

Method Summary
`void` | `addTargetListener(String pn, AnimationTargetListener l)` Adds a listener for changes to the given CSS property.
`void` | `removeTargetListener(String pn, AnimationTargetListener l)` Removes a listener for changes to the given attribute value.

Methods inherited from interface org.apache.batik.dom.svg.SVGContext
`getBBox, getCTM, getFontSize, getGlobalTransform, getPixelToMM, getPixelUnitToMillimeter, getScreenTransform, getViewportHeight, getViewportWidth, setScreenTransform`

Method Detail

### addTargetListener

    void addTargetListener(String pn,
                           AnimationTargetListener l)

  Adds a listener for changes to the given CSS property.

### removeTargetListener

    void removeTargetListener(String pn,
                              AnimationTargetListener l)

  Removes a listener for changes to the given attribute value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.